Skip to main content
PATCH
/
api
/
charge_prices
/
{id}
Update a charge price
curl --request PATCH \
  --url https://clarus-api.com/api/charge_prices/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "charge_prices",
    "attributes": {
      "charge_card_id": 1,
      "charge_type": "PICK",
      "code": "PICK-STD",
      "name": "Standard Pick",
      "price": 0.5,
      "quantity": 1,
      "unit_of_measure": "item"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "charge_prices",
    "attributes": {
      "auto_charge": true,
      "charge_type": "PICK",
      "code": "PICK-STD",
      "description": null,
      "id": 1,
      "name": "Standard Pick",
      "nominal_code": null,
      "price": 0.5,
      "quantity": 1,
      "unit_of_measure": "item"
    },
    "relationships": {
      "charge_card": {
        "data": {
          "id": "<string>",
          "type": "charge_cards"
        }
      },
      "storage_unit_type": {
        "data": {
          "id": "<string>",
          "type": "storage_unit_types"
        }
      }
    }
  }
}

Request Structure

{
  "data": {
    "type": "charge_prices",
    "attributes": {
      "price": 0.75,
      "auto_charge": true
    }
  }
}

Key Fields

FieldRequiredDescription
priceNoUpdate the unit price
quantityNoUpdate the quantity
auto_chargeNoEnable or disable auto-charging
codeNoUpdate the charge price code
nameNoUpdate the display name

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the charge price to update

Body

application/json
data
object
required

Response

Charge Price updated successfully

data
object